Bug 1251238 - Review Request: yubioath-desktop - Yubikey tool for generating OATH tokens
Review Request: yubioath-desktop - Yubikey tool for generating OATH tokens
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 14:36 EDT by Seth Jennings
Modified: 2015-09-18 14:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.2.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-11 13:22:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
admiller: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
self-reporting fedora-review (7.82 KB, text/plain)
2015-08-06 14:40 EDT, Seth Jennings
no flags Details

  None (edit)
Description Seth Jennings 2015-08-06 14:36:55 EDT
Spec URL: https://www.variantweb.net/pub/fedora/specs/yubioath-desktop.spec
SRPM URL: https://www.variantweb.net/pub/fedora/22/source/SRPMS/yubioath-desktop-2.1.1-2.fc22.src.rpm

Description:
The Yubico Authenticator is a graphical desktop tool and CLI for generating
Open AuTHentication (OATH) event-based HOTP and time-based TOTP one-time
password codes, with the help of a YubiKey that protects the shared secrets.

Fedora Account System Username spartacus06
Comment 1 Seth Jennings 2015-08-06 14:40:50 EDT
Created attachment 1060060 [details]
self-reporting fedora-review

This is my first package submission so, afaict, I need a sponsor.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=10625020
Comment 2 Adam Miller 2015-08-06 16:15:33 EDT
The %{__python} should be %{__python2} as per python packaging guidelines: https://fedoraproject.org/wiki/Packaging:Python

Otherwise things look good.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "GPL (v3 or later)". Detailed output of
     licensecheck in /home/admiller/reviews/1251238-yubioath-
     desktop/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in yubioath-desktop
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: yubioath-desktop-2.1.1-2.fc22.noarch.rpm
          yubioath-desktop-2.1.1-2.fc22.src.rpm
yubioath-desktop.noarch: W: spelling-error Summary(en_US) Yubikey -> Crikey
yubioath-desktop.src: W: spelling-error Summary(en_US) Yubikey -> Crikey
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
yubioath-desktop.noarch: W: spelling-error Summary(en_US) Yubikey -> Crikey
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
yubioath-desktop (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    desktop-file-utils
    pcsc-lite-ccid
    pyscard
    python(abi)
    python-crypto
    python-pyside
    ykpers



Provides
--------
yubioath-desktop:
    application()
    application(yubioath.desktop)
    yubioath-desktop



Source checksums
----------------
https://developers.yubico.com/yubioath-desktop/Releases/yubioath-desktop-2.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 8d4243311d7cbd08970d81e38616f90b851fa73939bf7ffaa91fe5c2aa2025d5
  CHECKSUM(SHA256) upstream package : 8d4243311d7cbd08970d81e38616f90b851fa73939bf7ffaa91fe5c2aa2025d5
https://developers.yubico.com/yubioath-desktop/Releases/yubioath-desktop-2.1.1.tar.gz.sig :
  CHECKSUM(SHA256) this package     : ba0069877c5d772fab224c0ee6a9a07260b3c70501342ce8eb6b661b50cd77cb
  CHECKSUM(SHA256) upstream package : ba0069877c5d772fab224c0ee6a9a07260b3c70501342ce8eb6b661b50cd77cb


Template Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1251238
Buildroot used: fedora-22-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Seth Jennings 2015-08-06 16:30:44 EDT
Adam, thanks for the review! New spec and SRPM using the __python2 macro.

Spec URL: https://www.variantweb.net/pub/fedora/specs/yubioath-desktop.spec
SRPM URL: https://www.variantweb.net/pub/fedora/22/source/SRPMS/yubioath-desktop-2.1.1-3.fc22.src.rpm
Comment 4 Adam Miller 2015-08-06 16:51:59 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "GPL (v3 or later)". Detailed output of
     licensecheck in /home/admiller/reviews/1251238-yubioath-
     desktop/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in yubioath-desktop
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: yubioath-desktop-2.1.1-2.fc22.noarch.rpm
          yubioath-desktop-2.1.1-2.fc22.src.rpm
yubioath-desktop.noarch: W: spelling-error Summary(en_US) Yubikey -> Crikey
yubioath-desktop.src: W: spelling-error Summary(en_US) Yubikey -> Crikey
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
yubioath-desktop.noarch: W: spelling-error Summary(en_US) Yubikey -> Crikey
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
yubioath-desktop (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    desktop-file-utils
    pcsc-lite-ccid
    pyscard
    python(abi)
    python-crypto
    python-pyside
    ykpers



Provides
--------
yubioath-desktop:
    application()
    application(yubioath.desktop)
    yubioath-desktop



Source checksums
----------------
https://developers.yubico.com/yubioath-desktop/Releases/yubioath-desktop-2.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 8d4243311d7cbd08970d81e38616f90b851fa73939bf7ffaa91fe5c2aa2025d5
  CHECKSUM(SHA256) upstream package : 8d4243311d7cbd08970d81e38616f90b851fa73939bf7ffaa91fe5c2aa2025d5
https://developers.yubico.com/yubioath-desktop/Releases/yubioath-desktop-2.1.1.tar.gz.sig :
  CHECKSUM(SHA256) this package     : ba0069877c5d772fab224c0ee6a9a07260b3c70501342ce8eb6b661b50cd77cb
  CHECKSUM(SHA256) upstream package : ba0069877c5d772fab224c0ee6a9a07260b3c70501342ce8eb6b661b50cd77cb


Template Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1251238
Buildroot used: fedora-22-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


PASSED
Comment 5 Adam Miller 2015-08-15 15:07:41 EDT
Apply for packager in FAS, I will sponsor you.
Comment 6 Seth Jennings 2015-08-15 16:08:17 EDT
Adam,

I think you might have to add me.

packager Rules for Application are: Please do not apply to this group. Your sponsor will add you after you've completed http://fedoraproject.org/wiki/Join_the_package_collection_maintainers.

There is no apply option for that group.
Comment 7 Adam Miller 2015-08-18 16:33:48 EDT
You are correct, my mistake. I just became a sponsor last week :)

Sorry about that, you are now a packager and are sponsored. Feel free to file a SCM request for DistGit.
Comment 8 Seth Jennings 2015-08-19 10:14:09 EDT
New Package SCM Request
=======================
Package Name: yubioath-desktop
Short Description:  Yubikey tool for generating OATH event-based HOTP and time-based TOTP codes
Upstream URL: https://developers.yubico.com/yubioath-desktop/
Owners: spartacus06
Branches: f22 f23
InitialCC:
Comment 9 Gwyn Ciesla 2015-08-20 09:56:45 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2015-08-20 15:25:06 EDT
yubioath-desktop-2.1.1-3.fc22 has been submitted as an update to Fedora 22. https://bugzilla.redhat.com/show_bug.cgi?id=1251238
Comment 11 Fedora Update System 2015-08-20 15:26:51 EDT
yubioath-desktop-2.1.1-3.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1251238
Comment 12 Fedora Update System 2015-08-21 22:51:26 EDT
yubioath-desktop-2.1.1-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update yubioath-desktop'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13846
Comment 13 Fedora Update System 2015-08-22 12:25:13 EDT
yubioath-desktop-2.1.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update yubioath-desktop'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13847
Comment 14 Fedora Update System 2015-09-01 16:21:51 EDT
yubioath-desktop-2.2.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update yubioath-desktop'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14790
Comment 15 Fedora Update System 2015-09-02 12:21:21 EDT
yubioath-desktop-2.2.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update yubioath-desktop'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14791
Comment 16 Fedora Update System 2015-09-11 13:22:38 EDT
yubioath-desktop-2.2.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-09-18 14:57:24 EDT
yubioath-desktop-2.2.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.